com.aliyun.svideosdk.common.struct.common

## Enum AliyunVideoParam.AudioChannel

- java.lang.Object
- - java.lang.Enum<AliyunVideoParam.AudioChannel>
  - - com.aliyun.svideosdk.common.struct.common.AliyunVideoParam.AudioChannel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunVideoParam.AudioChannel>
  Enclosing class:
    AliyunVideoParam

      public static enum AliyunVideoParam.AudioChannel
      extends java.lang.Enum<AliyunVideoParam.AudioChannel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANNEL_MONO`
    `CHANNEL_STEREO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunVideoParam.AudioChannel` | `getTypeByValue(int value)`
    `int` | `getValue()`
    `static AliyunVideoParam.AudioChannel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunVideoParam.AudioChannel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHANNEL_MONO

          public static final AliyunVideoParam.AudioChannel CHANNEL_MONO

    - #### CHANNEL_STEREO

          public static final AliyunVideoParam.AudioChannel CHANNEL_STEREO

  - ### Method Detail

    - #### values

          public static AliyunVideoParam.AudioChannel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunVideoParam.AudioChannel c : AliyunVideoParam.AudioChannel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunVideoParam.AudioChannel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getTypeByValue

          public static AliyunVideoParam.AudioChannel getTypeByValue(int value)